I experienced my pc.

this is time results.
1.test1.in input value:1000   total time: less than second.
2.test2.in input value:10000   total time: less than second.
3.test3.in input value 100000   total time: 7 seconds.
4.test4.in input value 1000000   total time: 10 minutes.
5.I dont test it finaly!!!!. Input value 1000000   total time: more than 15 minutes. 
